GumaxDD and Mediawiki 1.19.0

Please use this forum to post feedback and suggestions related to GuMax.

GumaxDD and Mediawiki 1.19.0

Postby Jonathan » May 6th, 2012, 3:19 pm

Hi Paul, or anyone

Can you confirm that Mediawiki hasn't changed anything that breaks the current version of GumaxDD?

I'm reluctant to upgrade Mediawiki until I find out that GumaxDD will continue to work!

Thanks

Jonathan
User avatar
Jonathan
Rank 6
Rank 6
 
Posts: 33
Joined: April 6th, 2009, 8:19 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Paul » May 6th, 2012, 8:09 pm

I haven't checked yet, I saw there is a post reported that GuMaxDD breaks under new mediawiki.

I will test it in my DEV wiki and see....
User avatar
Paul
Development Team Leader
Development Team Leader
 
Posts: 1132
Joined: October 20th, 2007, 2:23 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Jonathan » May 11th, 2012, 4:23 pm

Hi Paul

What was the conclusion?

There are mixed messages here: http://www.mediawiki.org/wiki/Thread:Ex ... ly_%284%29 (8 and 9 May 2012).

Thank you

Jonathan
User avatar
Jonathan
Rank 6
Rank 6
 
Posts: 33
Joined: April 6th, 2009, 8:19 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Paul » May 21st, 2012, 10:11 pm

Yep, I saw that.

I just came back from my vacation, I will test this on my DEV wiki soon.
User avatar
Paul
Development Team Leader
Development Team Leader
 
Posts: 1132
Joined: October 20th, 2007, 2:23 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby AJU » May 22nd, 2012, 5:00 pm

Welcome back and thank you very much for your great work! I have used your latest 'click to drop 1.5.2' skin as a template for my freshly updated (1.19) wiki and can report that it works like a charm.

The skin that is... the mediawiki upgrade is still giving me a headache... if you have a heap of extensions installed on your wiki I'd wait a little with adopting 1.19, especially semantic mw is giving me grief...
User avatar
AJU
Rank 0
Rank 0
 
Posts: 3
Joined: May 22nd, 2012, 4:46 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Paul » May 22nd, 2012, 7:32 pm

Thanks AJU for feedback... this is great.
User avatar
Paul
Development Team Leader
Development Team Leader
 
Posts: 1132
Joined: October 20th, 2007, 2:23 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Jonathan » June 16th, 2012, 2:28 pm

That is good news. Paul - am I right in assuming that the 'normal' GumaxDD will also work, if the 'click-to-drop' version works?

Thanks

Jonathan
User avatar
Jonathan
Rank 6
Rank 6
 
Posts: 33
Joined: April 6th, 2009, 8:19 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Paul » June 22nd, 2012, 7:39 pm

Yep, I think it should work unless new wiki has major changes again.
User avatar
Paul
Development Team Leader
Development Team Leader
 
Posts: 1132
Joined: October 20th, 2007, 2:23 pm

Re: GumaxDD and Mediawiki 1.19.0

Postby Gryzor » December 2nd, 2012, 2:09 pm

Apologies for resurrecting this thread.

Yesterday I updated my installation from 1.17.0 to 1.19.3. The skin doesn't work... It gives me the following error, and nothing appears on the page but the navi menu which is filled with the error instead of the usual content:

Code: Select all
Strict Standards: Declaration of SkinGuMaxV::initPage() should be compatible with that of Skin::initPage() in /path2wiki/skins/GuMaxV.php on line 37


Line 37 reads:
Code: Select all
class SkinGuMaxV extends SkinTemplate {


Any ideas?
User avatar
Gryzor
Rank 2
Rank 2
 
Posts: 13
Joined: July 15th, 2009, 12:39 pm


Return to GuMax Suggestions and Feedback

Who is online

Users browsing this forum: No registered users and 1 guest

cron